Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
Class ScalaCompile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.tasks.compile.AbstractCompile
                          org.gradle.api.tasks.scala.ScalaCompile

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable, org.gradle.util.Configurable<Task>

    public class ScalaCompile

extends AbstractCompile

Compiles Scala and Java source files.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`ScalaCompile()`

Method Summary
`protected void` | `compile()`
`org.gradle.api.internal.tasks.scala.ScalaJavaJointCompiler` | `getCompiler()`
`org.gradle.api.tasks.compile.CompileOptions` | `getOptions()`
`FileCollection` | `getScalaClasspath()`
`org.gradle.api.tasks.scala.ScalaCompileOptions` | `getScalaCompileOptions()`
`void` | `setCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompiler compiler)`
`void` | `setScalaClasspath(FileCollection scalaClasspath)`

Methods inherited from class org.gradle.api.tasks.compile.AbstractCompile
`getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility`

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScalaCompile

    public ScalaCompile()

Method Detail

### getScalaClasspath

    public FileCollection getScalaClasspath()

### setScalaClasspath

    public void setScalaClasspath(FileCollection scalaClasspath)

### getCompiler

    public org.gradle.api.internal.tasks.scala.ScalaJavaJointCompiler getCompiler()

### setCompiler

    public void setCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompiler compiler)

### getScalaCompileOptions

    public org.gradle.api.tasks.scala.ScalaCompileOptions getScalaCompileOptions()

### getOptions

    public org.gradle.api.tasks.compile.CompileOptions getOptions()

### compile

    protected void compile()

  Specified by:
    `compile` in class `AbstractCompile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD